<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Exercise Array</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
  </head>
  <style>
    a {
      color: #000;
    }
  </style>
  <body>
    <div class="container jumbotron">
      <h2 class="text-info">Bài tập Array</h2>
      <div class="form-group">
        <label for="" class="text-info">Vui lòng nhập số</label>
        <input
          type="text"
          class="form-control"
          name=""
          id="txt-so-n"
          aria-describedby="helpId"
          placeholder="Nhập số n"
        />
      </div>
      <button onclick="nhapSoDuong()" type="button" class="btn btn-info">
        Nhập số
      </button>
      <div id="hien-thi" class="mt-2 bg bg-info text-light"></div>
      <div class="panel-group form-group mt-5" id="accordion">
        <div class="panel panel-default">
          <div class="panel-heading">
            <h4 class="panel-title">
              <a
                data-toggle="collapse"
                data-parent="#accordion"
                href="#collapse1"
              >
                1. Tổng số dương</a
              >
            </h4>
          </div>
          <div id="collapse1" class="panel-collapse collapse in">
            <div class="panel-body">
              <button
                onclick="btnTongSoDuong()"
                type="button"
                class="btn btn-primary mt-3"
              >
                Tính tổng
              </button>
              <div id="ket-qua-1" class="mt-2 text-primary"></div>
            </div>
          </div>
        </div>
        <hr />
        <div class="panel panel-default">
          <div class="panel-heading">
            <h4 class="panel-title">
              <a
                data-toggle="collapse"
                data-parent="#accordion"
                href="#collapse2"
              >
                2. Đếm số dương</a
              >
            </h4>
          </div>
          <div id="collapse2" class="panel-collapse collapse">
            <div class="panel-body">
              <button
                onclick="btnDemSoDuong()"
                type="button"
                class="btn btn-primary mt-2"
              >
                Đếm số dương
              </button>
              <div id="ket-qua-2" class="mt-2 text-primary"></div>
            </div>
          </div>
        </div>
        <hr />
        <div class="panel panel-default">
          <div class="panel-heading">
            <h4 class="panel-title">
              <a
                data-toggle="collapse"
                data-parent="#accordion"
                href="#collapse3"
              >
                3. Tìm số nhỏ nhất</a
              >
            </h4>
          </div>
          <div id="collapse3" class="panel-collapse collapse">
            <div class="panel-body">
              <button
                onclick="btnSoNhoNhat()"
                type="button"
                class="btn btn-primary mt-2"
              >
                Tìm số nhỏ nhất
              </button>
              <div id="ket-qua-3" class="mt-2 text-primary"></div>
            </div>
          </div>
        </div>
        <hr />
        <div class="panel panel-default">
          <div class="panel-heading">
            <h4 class="panel-title">
              <a
                data-toggle="collapse"
                data-parent="#accordion"
                href="#collapse4"
              >
                4. Tìm số dương nhỏ nhất</a
              >
            </h4>
          </div>
          <div id="collapse4" class="panel-collapse collapse">
            <div class="panel-body">
              <button
                onclick="btnSoDuongNhoNhat()"
                type="button"
                class="btn btn-primary mt-2"
              >
                Tìm số dương nhỏ nhất
              </button>
            </div>
            <div id="ket-qua-4" class="mt-2 text-primary"></div>
          </div>
        </div>
        <hr />
        <div class="panel panel-default">
          <div class="panel-heading">
            <h4 class="panel-title">
              <a
                data-toggle="collapse"
                data-parent="#accordion"
                href="#collapse5"
              >
                5. Tìm số chẵn cuối cùng</a
              >
            </h4>
          </div>
          <div id="collapse5" class="panel-collapse collapse">
            <div class="panel-body">
              <button
                onclick="btnTimSoChanCuoiCung()"
                type="button"
                class="btn btn-primary mt-2"
              >
                Tìm số chẵn cuối cùng
              </button>
              <div id="ket-qua-5" class="mt-2 text-primary"></div>
            </div>
          </div>
        </div>
        <hr />
        <div class="panel panel-default">
          <div class="panel-heading">
            <h4 class="panel-title">
              <a
                data-toggle="collapse"
                data-parent="#accordion"
                href="#collapse6"
              >
                6. Đổi chỗ</a
              >
            </h4>
          </div>
          <div id="collapse6" class="panel-collapse collapse">
            <div class="panel-body">
              <div class="row">
                <div class="col-4 form-group">
                  <label for="">Vị trí số 1</label>
                  <input
                    type="text"
                    class="form-control"
                    name=""
                    id="txt-so-1"
                    aria-describedby="helpId"
                    placeholder="Nhập vị trí số 1"
                  />
                </div>
                <div class="col-4 form-group">
                  <label for="">Vị trí số 2</label>
                  <input
                    type="text"
                    class="form-control"
                    name=""
                    id="txt-so-2"
                    aria-describedby="helpId"
                    placeholder="Nhập vị trí số 2"
                  />
                </div>
              </div>

              <button
                onclick="btnDoiCho()"
                type="button"
                class="btn btn-primary mt-2"
              >
                Đổi chỗ
              </button>
            </div>
            <div id="ket-qua-6" class="mt-2 text-primary"></div>
          </div>
        </div>
        <hr />
        <div class="panel panel-default">
          <div class="panel-heading">
            <h4 class="panel-title">
              <a
                data-toggle="collapse"
                data-parent="#accordion"
                href="#collapse7"
              >
                7. Sắp xếp tăng dần</a
              >
            </h4>
          </div>
          <div id="collapse7" class="panel-collapse collapse">
            <div class="panel-body">
              <button
                onclick="btnSapXep()"
                type="button"
                class="btn btn-primary"
                class="mt-2"
              >
                Sắp xếp tăng dần
              </button>
              <div id="ket-qua-7" class="mt-2 text-primary"></div>
            </div>
          </div>
        </div>
        <hr />
        <div class="panel panel-default">
          <div class="panel-heading">
            <h4 class="panel-title">
              <a
                data-toggle="collapse"
                data-parent="#accordion"
                href="#collapse8"
              >
                8. Tìm số nguyên tố đầu tiên</a
              >
            </h4>
          </div>
          <div id="collapse8" class="panel-collapse collapse">
            <div class="panel-body">
              <button
                onclick="btnSoNguyenToDauTien()"
                type="button"
                class="btn btn-primary mt-2"
              >
                Tìm số nguyên tố đầu tiên
              </button>
              <div id="ket-qua-8" class="mt-2 text-primary"></div>
            </div>
          </div>
        </div>
        <hr />
        <div class="panel panel-default">
          <div class="panel-heading">
            <h4 class="panel-title">
              <a
                data-toggle="collapse"
                data-parent="#accordion"
                href="#collapse9"
              >
                9. Đếm số nguyên</a
              >
            </h4>
          </div>
          <div id="collapse9" class="panel-collapse collapse">
            <div class="panel-body">
              <button
                onclick="btnDemSoNguyen()"
                type="button"
                class="btn btn-primary mt-2"
              >
                Đếm số nguyên
              </button>
              <div id="ket-qua-9" class="mt-2 text-primary"></div>
            </div>
          </div>
        </div>
        <hr />
        <div class="panel panel-default">
          <div class="panel-heading">
            <h4 class="panel-title">
              <a
                data-toggle="collapse"
                data-parent="#accordion"
                href="#collapse10"
              >
                10. So sánh số âm và số dương</a
              >
            </h4>
          </div>
          <div id="collapse10" class="panel-collapse collapse">
            <div class="panel-body">
              <button
                onclick="btnSoSanh()"
                type="button"
                class="btn btn-primary mt-2"
              >
                So sánh
              </button>
              <div id="ket-qua-10" class="mt-2 text-primary"></div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>
    <script src="./index.js"></script>
  </body>
</html>
